安装
```
apt-get install nginx
```
```
cd /etc/nginx
```

备份
```
mv nginx.conf /etc/nginx/nginx.conf.bak
```

新建配置文件
```
vim /etc/nginx/nginx.conf
```

```
user root;
worker_processes  1;
error_log /var/log/nginx/error.log;
pid /run/nginx.pid;

events {
  worker_connections  1024;
}

http {
  include     mime.types;
  default_type  application/octet-stream;
  sendfile    on;
  keepalive_timeout  65;

  server {
    listen     80;
    server_name  localhost;
    charset utf-8;

    location / {
      root   /usr/local/前端静态资源根目录;
      try_files $uri $uri/ /index.html;
      index  index.html index.htm;
    }

	location /prod-api/ {
	  proxy_set_header Host $http_host;
	  proxy_set_header X-Real-IP $remote_addr;
	  proxy_set_header REMOTE-HOST $remote_addr;
	  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	  proxy_pass http://服务器IP:端口/;
	}

    error_page   500 502 503 504  /50x.html;
	
    location = /50x.html {
      root   html;
    }
	
  }
}
```

重载，建议新建一个shell脚本
```
cd /usr/local/前端静态资源根目录
rm -rf dist
git pull
unzip dist.zip
nginx -s reload
```
